#### D.15.17.5 puiseux

Procedure from library `puiseuxexpansions.lib` (see puiseuxexpansions_lib).

Usage:
  puiseux(f, maxDeg, atOrigin); f polynomial in two variables, int maxDeg, int atOrigin

Return:
  the Puiseux expansions of f developed up to degree maxDeg. If atOrigin = 1, only the expansions passing through the origin will be returned.

Example:

    LIB "puiseuxexpansions.lib";
    ring R=0,(x,y),dp;
    poly f=y^3 + x^2 + x^8;
    puiseux(f,3,0);
    ==> [1]:
    ==>    [1]:
    ==>       -1/3x20-x2
    ==>    [2]:
    ==>       3
    ==>    [6]:
    ==>       [1]:
    ==>          1
    ==>       [2]:
    ==>          1
    ==>    [7]:
    ==>       [1]:
    ==>          2

User manual for Singular version 4.4.1, 2025, generated by texi2html.